const AirAmbulance = require("../../model/AirAmbulance");

module.exports = async (req, res) => {
  let { id } = req.params;
  try {
    let airambulance = await AirAmbulance.findById(id);
    airambulance.status = airambulance.status === "active" ? "banned" : "active";
    await airambulance.save();
    res.json({
      message: `AirAmbulance ${
        airambulance.status === "active" ? "activated" : "deactivated"
      } successfully`,
      airambulance,
    });
  } catch (e) {
    res
      .status(500)
      .json({ message: "Failed to update Air Ambulance status", error: "e.message" });
  }
};
