// // Add a department

const Department = require("../../model/Department");

exports.addDepartment = async (req, res) => {
  try {
    console.log("Request dept:", req.body);
    const { treatment, ...departmentData } = req.body;
    const newDepartment = new Department({
      ...departmentData,
      image: "/uploads/departments/" + req.file.filename,
      treatment: treatment,
    });
    const department = await newDepartment.save();
    res.json({ department, message: "Specialty added successfully" });
  } catch (err) {
    res.status(500).json({ error: err.message });
  }
};
