const Department = require("../../model/Department");

module.exports = async (req, res) => {
  let { id } = req.params;
  try {
    let department = await Department.findById(id);
    department.status = department.status === "active" ? "banned" : "active";
    await department.save();
    res.json({
      message: `Department ${
        department.status === "active" ? "activated" : "deactivated"
      } successfully`,
      department,
    });
  } catch (e) {
    res
      .status(500)
      .json({ message: "Failed to update department status", error: "e.message" });
  }
};
