const Doctor = require("../../model/Doctor");

const createDoctor = async (req, res) => {
  try {
    console.log("request is ", req);
    console.log("Received request to create a doctor:", req.body);
    console.log("yoyoooo", req.file);
    const doctor = new Doctor(req.body);
    if (req.files && req.files.image) {
      doctor.image = "/uploads/doctors/" + req.files.image[0].filename;
    }
    if (req.files && req.files.certificationDocument) {
      doctor.certificationDocument =
        "/uploads/doctors/" + req.files.certificationDocument[0].filename;
    }

    console.log("Request Files:", req.files);
    console.log("Request File:", req.file);
    await doctor.save();
    res.status(201).json({ doctor, message: "Doctor added successfully" });
  } catch (err) {
    console.log(err);
    res.status(500).json({ err: "Internal server error" });
  }
};
module.exports = createDoctor;
