const Doctor = require("../../model/Doctor");

const deleteDoctorById = async (req, res) => {
  try {
    const deletedDoctor = await Doctor.findByIdAndRemove(req.params.id);
    if (deletedDoctor) {
      res.json({ message: "Doctor deleted successfully" });
    } else {
      res.status(404).json({ err: "Doctor not found" });
    }
  } catch (err) {
    res.status(500).json({ err: "Internal server error" });
  }
};

module.exports = deleteDoctorById;
