const Doctor = require("../../model/Doctor");

const favoriteDoctor = async (req, res) => {
  const doctorId = req.params.id
  console.log('this is doctor id',doctorId)
  const { userId } = req.body;
  console.log('this is users id',userId)
  try {
    const doctor = await Doctor.findById(doctorId);
    if (!doctor) {
      return res.status(404).json({ error: "Doctor not found" });
    }
    if (!doctor.favorites.includes(userId)) {
        doctor.favorites.push(userId);
      await doctor.save();
      return res
        .status(200)
        .json({ message: "Doctor favorited successfully" });
    } else {
      return res
        .status(400)
        .json({ error: "User already favorited this doctor" });
    }
  } catch (error) {
    console.error(error);
    return res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = { favoriteDoctor };
