const Doctor = require("../../model/Doctor");

module.exports = async (req, res) => {
  let { id } = req.params;
  try {
    let doctor = await Doctor.findById(id);
    doctor.status = doctor.status === "active" ? "banned" : "active";
    await doctor.save();
    res.json({
      message: `Doctor ${
        doctor.status === "active" ? "activated" : "deactivated"
      } successfully`,
      doctor,
    });
  } catch (e) {
    res
      .status(500)
      .json({ message: "Failed to update doctor status", error: "e.message" });
  }
};
