const Doctor = require("../../model/Doctor");

const unfavoriteDoctor = async (req, res) => {
  const doctorId = req.params.id;
  const userId = req.body.userId;
  console.log(userId);
  console.log(doctorId);

  try {
    const doctor = await Doctor.findById(doctorId);
    if (!doctor) {
      return res.status(404).json({ error: "Doctor not found" });
    }
    console.log(doctor.favorites)
    const index = doctor.favorites.findIndex(fav => String(fav) === String(userId));
    console.log(index);
    if (index !== -1) {
      doctor.favorites.splice(index, 1);
      await doctor.save();
      return res
        .status(200)
        .json({ message: "Doctor unfavorited successfully" });
    } else {
      return res
        .status(400)
        .json({ error: "User has not favorited this Doctor" });
    }
  } catch (error) {
    console.error(error);
    return res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = { unfavoriteDoctor };
