const FreelanceDoctor = require("../../model/Freelancedoctor");

const updateFreelanceDoctor = async (req, res) => {
  try {
    const { latitude, longitude, address } = req.body;
    const updateFreelanceDoctor = {
      location: { latitude, longitude, address },
      consultationFee: req.body.consultationFee,
      workingHours: req.body.workingHours,
      contactInfo: req.body.contactInfo,
      licenseCertification: {
        certificationNumber,
        certificationDocumentUrl,
      },
    };
    await FreelanceDoctor.findByIdAndUpdate(
      req.params.id,
      updateFreelanceDoctor,
      { new: true }
    );
    res.status(200).json({ message: "Freelance doctor updated sucessfully" });
  } catch (err) {
    res.status(500).json({ err: err.message });
  }
};

module.exports = updateFreelanceDoctor;
