const HealthCare = require("../../model/healthcare");
const express = require("express");

/**
 *
 * @param {express.Request} req
 * @param {express.Response} res
 */

const createHealthCare = async (req, res) => {
  try {
    const HealthCaredata = req.body;
    if (req.file) {
        HealthCaredata.image = '/uploads/healthcare/'+req.file.filename;
    }
    console.log("Request File:", req.file);

    const newHealthCare = new HealthCare(HealthCaredata);

    await newHealthCare.save();
    res.status(201).json(newHealthCare);
  } catch (error) {
    console.log("Error is ", error);
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = createHealthCare;
