const HealthCare = require("../../model/healthcare");

const favoriteHealthCare = async (req, res) => {
  console.log(req.params);
  const healthId = req.params.id;
  console.log("this is health id", healthId);
  const { userId } = req.body;
  console.log("this is users id", userId);
  try {
    const healthcare = await HealthCare.findById(healthId);
    if (!healthcare) {
      return res.status(404).json({ error: "HealthCare not found" });
    }
    if (!healthcare.favorites.includes(userId)) {
        healthcare.favorites.push(userId);
      await healthcare.save();
      return res
        .status(200)
        .json({ message: "Health care favorited successfully" });
    } else {
      return res
        .status(400)
        .json({ error: "User already favorited this Health Care" });
    }
  } catch (error) {
    console.error(error);
    return res.status(500).json({ error});
  }
};

module.exports = { favoriteHealthCare };
