const HealthCare = require("../../model/healthcare");

module.exports = async (req, res) => {
  let { id } = req.params;
  try {
    let healthcare = await HealthCare.findById(id);
    healthcare.status = healthcare.status === "active" ? "banned" : "active";
    await healthcare.save();
    res.json({
      message: `Healthcare ${
        healthcare.status === "active" ? "activated" : "deactivated"
      } successfully`,
      healthcare,
    });
  } catch (e) {
    res
      .status(500)
      .json({ message: "Failed to update doctor status", error: "e.message" });
  }
};
