const Hospital = require("../../model/Hospital");

const deleteHospitalById = async (req, res) => {
  try {
    const deletedHospital = await Hospital.findByIdAndRemove(req.params.id);
    if (deletedHospital) {
      res.json({ message: "Hospital deleted successfully" });
    } else {
      res.status(404).json({ error: "Hospital not found" });
    }
  } catch (error) {
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = deleteHospitalById;
