const Hospital = require("../../model/Hospital");

const favoriteHospital = async (req, res) => {
  const hospitalId = req.params.id
  console.log('this is hospital id',hospitalId)
  const { userId } = req.body;
  console.log('this is users id',userId)
  try {
    const hospital = await Hospital.findById(hospitalId);
    if (!hospital) {
      return res.status(404).json({ error: "Hospital not found" });
    }
    if (!hospital.favorites.includes(userId)) {
      hospital.favorites.push(userId);
      await hospital.save();
      return res
        .status(200)
        .json({ message: "Hospital favorited successfully" });
    } else {
      return res
        .status(400)
        .json({ error: "User already favorited this hospital" });
    }
  } catch (error) {
    console.error(error);
    return res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = { favoriteHospital };
