const Hospital = require("../../model/Hospital");

module.exports = async (req, res) => {
  let { id } = req.params;
  try {
    let hospital = await Hospital.findById(id);
    hospital.status = hospital.status === "active" ? "banned" : "active";
    await hospital.save();
    res.json({
      message: `Doctor ${
        hospital.status === "active" ? "activated" : "deactivated"
      } successfully`,
      hospital,
    });
  } catch (e) {
    res
      .status(500)
      .json({ message: "Failed to update hospital status", error: "e.message" });
  }
};
