const Insurance = require("../../model/Insurance");
const express = require("express");

/**
 *
 * @param {express.Request} req
 * @param {express.Response} res
 */

const createInsurance = async (req, res) => {
  try {
    const Insurancedata = req.body;

    if (req.file) {
      Insurancedata.image = "/uploads/insurances/" + req.file.filename;
    }

    console.log("Request File:", req.file);

    const newInsurance = new Insurance(Insurancedata);

    await newInsurance.save();
    res
      .status(201)
      .json({ newInsurance, message: "Insurance added successfully" });
  } catch (error) {
    console.log("Error is ", error);
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = createInsurance;
