const Insurance = require("../../model/Insurance");

module.exports = async (req, res) => {
  let { id } = req.params;
  try {
    let insurance = await Insurance.findById(id);
    insurance.status = insurance.status === "active" ? "banned" : "active";
    await insurance.save();
    res.json({
      message: `Insurance ${
        insurance.status === "active" ? "activated" : "deactivated"
      } successfully`,
      insurance,
    });
  } catch (e) {
    res
      .status(500)
      .json({ message: "Failed to update Insurance status", error: "e.message" });
  }
};
