const MedicalExpress = require("../../model/MedicalExpress");

const deleteMedicalById = async (req, res) => {
  try {
    const deletedMedical = await MedicalExpress.findByIdAndRemove(req.params.id);
    if (deletedMedical) {
      res.json({ message: "Doctor deleted successfully" });
    } else {
      res.status(404).json({ err: "Doctor not found" });
    }
  } catch (err) {
    res.status(500).json({ err: "Internal server error" });
  }
};

module.exports = deleteMedicalById;
