const MedicalExpress = require("../../model/MedicalExpress");

const favoriteMedicalExpress = async (req, res) => {
  console.log(req.params);
  const medicalId = req.params.id;
  console.log("this is medical id", medicalId);
  const { userId } = req.body;
  console.log("this is users id", userId);
  try {
    const medical = await MedicalExpress.findById(medicalId);
    if (!medical) {
      return res.status(404).json({ error: "Medical Express not found" });
    }
    if (!medical.favorites.includes(userId)) {
        medical.favorites.push(userId);
      await medical.save();
      return res
        .status(200)
        .json({ message: "Medical Express favorited successfully" });
    } else {
      return res
        .status(400)
        .json({ error: "User already favorited this Medical Express" });
    }
  } catch (error) {
    console.error(error);
    return res.status(500).json({ error});
  }
};

module.exports = { favoriteMedicalExpress };
