const MedicalExpress = require("../../model/MedicalExpress");

const unfavoriteMedicalExpress = async (req, res) => {
  const medicalId = req.params.id;
  const userId = req.body.userId;
  console.log(userId);
  console.log(medicalId);

  try {
    const medical = await MedicalExpress.findById(medicalId);
    if (!medical) {
      return res.status(404).json({ error: "medical not found" });
    }
    console.log(medical.favorites);
    const index = medical.favorites.findIndex(
      (fav) => String(fav) === String(userId)
    );
    console.log(index);
    if (index !== -1) {
        medical.favorites.splice(index, 1);
      await medical.save();
      return res
        .status(200)
        .json({ message: "Medical Express unfavorited successfully" });
    } else {
      return res
        .status(400)
        .json({ error: "User has not favorited this Medical Express" });
    }
  } catch (error) {
    console.error(error);
    return res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = { unfavoriteMedicalExpress };
