const Treatment = require("../../model/Treatment");

// Add a new treatment
exports.addTreatment = async (req, res) => {
  try {
    console.log("Request body:", req.body);
    const newTreatment = new Treatment(req.body);
    const treatment = await newTreatment.save();
    res.json({ treatment, message: "Treatment added successfully" });
  } catch (err) {
    console.log(err);
    res.status(500).json({ error: err.message });
  }
};
