const Treatment = require('../../model/Treatment');

// Delete a treatment
exports.deleteTreatment = async (req, res) => {
    try {
      const treatment = await Treatment.findByIdAndRemove(req.params.treatmentId);
      if (!treatment) {
        return res.status(404).json({ message: 'Treatment not found' });
      }
      res.json(treatment);
    } catch (err) {
      res.status(500).json({ error: err.message });
    }
  };
  