const Clinic = require("../../model/Clinic");

const createClinic = async (req, res) => {
  try {
    const clinicData = req.body;
    if (req.file) {
      clinicData.image = "/uploads/clinics/" + req.file.filename;
    }
    console.log("Request File:", req.file);
    const clinic = new Clinic(clinicData);
    await clinic.save();
    res.status(201).json({ clinic, message: "Clinic added successfully" });
  } catch (err) {
    res.status(400).json({ error: err.message });
  }
};

module.exports = createClinic;
