const Clinic = require("../../model/Clinic");

const deleteClinic = async (req, res) => {
  try {
    const clinic = await Clinic.findByIdAndRemove(req.params.id);
    if (!clinic) {
      return res.status(404).json({ message: "Clinic not found" });
    }
    res.status(204).json();
  } catch (err) {
    res.status(500).json({ error: err.message });
  }
};

module.exports = deleteClinic;
