const Clinic = require("../../model/Clinic");

const unfavoriteClinic = async (req, res) => {
  const clinicId = req.params.id;
  const userId = req.body.userId;
  console.log(userId);
  console.log(clinicId);

  try {
    const clinic = await Clinic.findById(clinicId);
    if (!clinic) {
      return res.status(404).json({ error: "Clinic not found" });
    }
    console.log(clinic.favorites)
    const index = clinic.favorites.findIndex(fav => String(fav) === String(userId));
    console.log(index);
    if (index !== -1) {
        clinic.favorites.splice(index, 1);
      await clinic.save();
      return res
        .status(200)
        .json({ message: "Clinic unfavorited successfully" });
    } else {
      return res
        .status(400)
        .json({ error: "User has not favorited this Clinic" });
    }
  } catch (error) {
    console.error(error);
    return res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = { unfavoriteClinic };
