const express = require("express");
const User = require("../../model/Users");
/**
 *
 * @param {express.Request} req
 * @param {express.Response} res
 */
module.exports = async (req, res) => {
  console.log({req})
  let { oldPassword, newPassword } = req.body;
  let { id } = req.user;
  try {
    if (!oldPassword && !newPassword)
      return res.status(403).json({ message: "Parameters are not valid" });
    let user = await User.findById(id);
    if (!user) {
      return res.status(401).json({ message: "User doesn't exist" });
    }

    if (user.validPassword(oldPassword)) {
      user.setPassword(newPassword);
      await user.save();
      res.json({ message: "Password changed successfully" });
    } else {
      return res.status(401).json({ message: "Incorrect password" });
    }
  } catch (e) {
    res;
  }
};
