const { default: mongoose, Schema } = require("mongoose");

const OTPSchema = new Schema(
    {
        otp: Number,
        email:String,
        expirationTime: Date,
        verified: {
            type: Boolean,
            default: false,
        },
       
    },
    { timestamps: true }
);

const OTP = mongoose.model("otp", OTPSchema);
module.exports = OTP;