// routes/enquiryRoutes.js
const express=require('express');
const router=express.Router();
const checkUserRole = require("../middlewears/checkUserRole");
const enquiryController = require('../controllers/Enquiry/enquiry');

const isAdmin = checkUserRole("admin");

router.post('/enquiries', enquiryController.createEnquiry);
router.get('/enquiries/:serviceId', enquiryController.getEnquiriesByServiceId);
router.get('/',enquiryController.getEnquiries)
router.delete('/:id',enquiryController.deleteEnquiryById)
router.post('/:id',enquiryController.togglestatus)


module.exports=router;