const express = require('express');
const router = express.Router();
const createGuest = require('../controllers/guest/create');
const getGuestById = require('../controllers/guest/getId')

// POST route to create a new guest
router.post('/guests', createGuest);
router.get('/guests/:id', getGuestById);

module.exports = router;
