const { fDisplayName } = require("../formatName");

module.exports = ({ user }) => {
  return {
    subject: ` Appointment Booked!`,
    html: `<!DOCTYPE html>
        <html>
          <head>
            <title>Appointment Booked!</title>
            <style>
              /* Add CSS styles for the rounded border and centering */
              .container {
                text-align: center;
                border: 2px solid rgb(0,0,128,1); /* Blue border */
                border-radius: 15px;
                max-width: 400px;
                margin: 0 auto;
                padding: 20px;
                font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
                  "Lucida Sans", Arial, sans-serif;
              }
              .description {
                color: #333;
                font-size: 16px;
                font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
                  "Lucida Sans", Arial, sans-serif;
                font-weight: lighter;
              }
            </style>
          </head>
          <body>
            <div class="container">
              <h1>Appointment Booked!</h1>
              <div class="description">
                <p>Hi ${user}!</p>
                <p>
                Your Appointment Booked Succesfully.
                </p>
              </div>
            </div>
          </body>
        </html>
        `,
  };
};
