// const { default: mongoose } = require("mongoose");

// function connectMongo() {
//     mongoose.connect(process.env.MONGO_URI)
//         .then((res) => {
//             console.log("Database Connected");
//         }).catch(e => console.log(e))
// }

// module.exports = connectMongo

const mongoose = require("mongoose");

module.exports =async () => {
	const connectionParams = {
		useNewUrlParser: true,
		useUnifiedTopology: true,
	};
	try {
	await	mongoose.connect(process.env.MONGO_URI, connectionParams);
		console.log("Connected to database successfully");
	} catch (error) {
		console.log(error);
		console.log("Could not connect database!");
	}
};