const AirAmbulance = require("../../model/AirAmbulance");
const express = require("express");

/**
 *
 * @param {express.Request} req
 * @param {express.Response} res
 */

const createAirAmbulance = async (req, res) => {
  try {
    const AirAmbulancedata = req.body;
    // Hospitaldata.location = JSON.parse(Hospitaldata.location);
    if (req.file) {
      AirAmbulancedata.image = "/uploads/airambulances/" + req.file.filename;
    }
    // console.log("Request:", req);
    console.log("Request File:", req.file);

    const airambulance = new AirAmbulance(AirAmbulancedata);

    await airambulance.save();
    res
      .status(201)
      .json({ airambulance, message: "Air ambulance added successfully" });
  } catch (error) {
    console.log("Error is ", error);
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = createAirAmbulance;
