const AirAmbulance = require("../../model/AirAmbulance");

const deleteAirAmbulanceById = async (req, res) => {
  try {
    const deletedAirAmbulance = await AirAmbulance.findByIdAndRemove(req.params.id);
    if (deletedAirAmbulance) {
      res.json({ message: "Air Ambulance deleted successfully" });
    } else {
      res.status(404).json({ error: "Air Ambulance not found" });
    }
  } catch (error) {
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = deleteAirAmbulanceById;
