const AirAmbulance = require("../../model/AirAmbulance");

const favoriteAirAmbulance = async (req, res) => {
  console.log(req.params);
  const airambulanceId = req.params.id;
  console.log("this is airambulance id", airambulanceId);
  const { userId } = req.body;
  console.log("this is users id", userId);
  try {
    const airambulance = await AirAmbulance.findById(airambulanceId);
    if (!airambulance) {
      return res.status(404).json({ error: "AirAmbulance not found" });
    }
    if (!airambulance.favorites.includes(userId)) {
      airambulance.favorites.push(userId);
      await airambulance.save();
      return res
        .status(200)
        .json({ message: "AirAmbulance favorited successfully" });
    } else {
      return res
        .status(400)
        .json({ error: "User already favorited this AirAmbulance" });
    }
  } catch (error) {
    console.error(error);
    return res.status(500).json({ error});
  }
};

module.exports = { favoriteAirAmbulance };
