const AirAmbulance = require("../../model/AirAmbulance");

const getAllAirAmbulances = async (req, res) => {
  try {
    const { city, country, page, pageSize,isDashboard } = req.query;
    console.log(req.query);
    // let filter;
    // if (city) {
    //   filter = {
    //     $or: [
    //       { "location.city": new RegExp(city, "i") },
    //       { "location.country": new RegExp(country, "i") },
    //     ],
    //   };
    // }
    let filter = {
      $and: [
        { "location.city": new RegExp(city, "i") },
        { "location.country": new RegExp(country, "i") },
      ],
    };
    if (!isDashboard) {
      filter.$and.push({ status: { $ne: "banned" } });
    }
    // const airambulances = await AirAmbulance.find({
    //   $and: [
    //     { "location.city": new RegExp(city, "i") },
    //     { "location.country": new RegExp(country, "i") },
    //   ],
    // })
    //   .skip((page - 1) * pageSize)
    //   .limit(pageSize);
    const airambulances = await AirAmbulance.find(filter)
    .skip((page - 1) * pageSize)
    .limit(pageSize);
    // const totalCount = await AirAmbulance.find({
    //   $and: [
    //     { "location.city": new RegExp(city, "i") },
    //     { "location.country": new RegExp(country, "i") },
    //   ],
    // }).count();
    const totalCount = await AirAmbulance.countDocuments(filter);
    console.log("totalCount", totalCount);
    res.json({ airambulances, totalCount });
  } catch (error) {
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = getAllAirAmbulances;
