const AirAmbulance = require("../../model/AirAmbulance");

const unfavoriteAirAmbulance = async (req, res) => {
  const airambulanceId = req.params.id;
  const userId = req.body.userId;
  console.log(userId);
  console.log(airambulanceId);

  try {
    const airambulance = await AirAmbulance.findById(airambulanceId);
    if (!airambulance) {
      return res.status(404).json({ error: "airambulance not found" });
    }
    console.log(airambulance.favorites);
    const index = airambulance.favorites.findIndex(
      (fav) => String(fav) === String(userId)
    );
    console.log(index);
    if (index !== -1) {
      airambulance.favorites.splice(index, 1);
      await airambulance.save();
      return res
        .status(200)
        .json({ message: "airambulance unfavorited successfully" });
    } else {
      return res
        .status(400)
        .json({ error: "User has not favorited this airambulance" });
    }
  } catch (error) {
    console.error(error);
    return res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = { unfavoriteAirAmbulance };
