const Banner = require("../../model/Banner");

const createBanner = async (req, res) => {
  try {
    console.log("Received request ", req.body);
    console.log("Request Files:", req.file);
    const newBanner = new Banner(req.body);
    if (req.file) {
      newBanner.banner = "/uploads/banners/" + req.file.filename;
    }
    await newBanner.save();
    res.status(201).json({ newBanner, message: "Banner added successfully" });
  } catch (err) {
    console.log(err);
    res.status(500).json({ err: "Internal server error" });
  }
};
module.exports = createBanner;
