const Banner = require("../../model/Banner");

const deleteBanner = async (req, res) => {
  try {
    console.log('id is ',req.params.id)
    const banner = await Banner.findByIdAndRemove(req.params.id);

    if (!banner) {
      return res.status(404).json({ message: "Banner not found" });
    }

    res.json(banner);
  } catch (err) {
    res.status(500).json({ error: err.message });
  }
};
module.exports = deleteBanner;
