const Banner = require("../../model/Banner");

const getBannerById = async (req, res) => {
  try {
    const banner = await Banner.findById(req.params.id);
    console.log('banner is',banner)
    if (banner) {
      res.status(200).json(banner);
    } else {
      res.status(404).json({ error: "Banner not found" });
    }
  } catch (error) {
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = getBannerById;
