const Banner = require("../../model/Banner");

const updateBannerById = async (req, res) => {
  let { screen } = req.body;

  console.log(req.body);
  console.log(req.file);
  let banner;
  try {
    if (!req.params.id) {
      return res.status(400).json({ error: "Banner ID is undefined" });
    }
    if (req.file) {
      banner = "/uploads/banners/" + req.file.filename;
    }

    const updatedBanner = await Banner.findByIdAndUpdate(
      req.params.id,
      {
        $set: {
          screen,
          banner,
        },
      },

      { new: true }
    );
    if (updatedBanner) {
      res.json({ updatedBanner, message: "Banner updated" });
    } else {
      res.status(404).json({ err: "Banner not found" });
    }
  } catch (err) {
    console.log(err);
    res.status(500).json({ err: "Internal server error", error: err.message });
  }
};

module.exports = updateBannerById;
