
const Department = require('../../model/Department');

// Delete a department
exports.deleteDepartment = async (req, res) => {
  try {
    const department = await Department.findByIdAndRemove(req.params.departmentId);

    if (!department) {
      return res.status(404).json({ message: 'Department not found' });
    }

    res.json(department);
  } catch (err) {
    res.status(500).json({ error: err.message });
  }
};