const FreelanceDoctor = require("../../model/Freelancedoctor");
const deleteDoctorById = require("../Doctor/delete");

const deleteFreelanceDoctor = async (req, res) => {
  try {
    await FreelanceDoctor.findByIdAndRemove(req.params.id);

    res.status(200).json({ message: "Freelance doctor deleted successfully" });
  } catch (err) {
    res.status(500).json({ err: err.message });
  }
};

module.exports = deleteFreelanceDoctor;
