const FreelanceDoctor = require("../../model/Freelancedoctor");

const getFreelanceDoctorById = async (req, res) => {
  try {
    const freelance = await FreelanceDoctor.findById(req.params.id);
    if (freelance) {
      res.json(freelance);
    } else {
      res.status(404).json({ error: "Doctor not found" });
    }
  } catch {
    res.status(500).json({ err: err.message });
  }
};

module.exports = getFreelanceDoctorById;
