const healthcare = require("../../model/healthcare");

const deleteHealthcareById = async (req, res) => {
  try {
    const deletedHealthCare = await healthcare.findByIdAndDelete(req.params.id);
    if (deletedHealthCare) {
      res.json({ message: "Healthcare deleted successfully" });
    } else {
      res.status(404).json({ err: "Healthcare not found" });
    }
  } catch (err) {
    res.status(500).json({ err: "Internal server error" ,error:err.message});
  }
};

module.exports = deleteHealthcareById;
