const HealthCare = require("../../model/healthcare");

const unfavoriteHealthCare = async (req, res) => {
  const healthId = req.params.id;
  const userId = req.body.userId;
  console.log(userId);
  console.log(healthId);

  try {
    const healthcare = await HealthCare.findById(healthId);
    if (!healthcare) {
      return res.status(404).json({ error: "healthcare not found" });
    }
    console.log(healthcare.favorites);
    const index = healthcare.favorites.findIndex(
      (fav) => String(fav) === String(userId)
    );
    console.log(index);
    if (index !== -1) {
        healthcare.favorites.splice(index, 1);
      await healthcare.save();
      return res
        .status(200)
        .json({ message: "healthcare unfavorited successfully" });
    } else {
      return res
        .status(400)
        .json({ error: "User has not favorited this healthcare" });
    }
  } catch (error) {
    console.error(error);
    return res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = { unfavoriteHealthCare };
