const Hospital = require("../../model/Hospital");
const express = require("express");

/**
 *
 * @param {express.Request} req
 * @param {express.Response} res
 */

const createHospital = async (req, res) => {
  try {
    const Hospitaldata = req.body;
    console.log(req.body);
    // Hospitaldata.location = JSON.parse(Hospitaldata.location);
    if (req.file) {
      Hospitaldata.image = "/uploads/hospitals/" + req.file.filename;
    }
    console.log("Request File:", req.file);

    const hospital = new Hospital(Hospitaldata);
    await hospital.save();
    res.status(201).json({ hospital, message: "Hospital added successfully" });
  } catch (error) {
    console.log("Error is ", error);
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = createHospital;
