const Hospital = require("../../model/Hospital");

const getHospitalsByLocation = async (req, res) => {
  console.log('in the try block')
  try {
    const { country } = req.query;
    console.log("query is ", req.query);
    const filter = {};

    if (country) {
      filter['location.country'] = new RegExp(country, 'i');
    }
    console.log(filter)
   
    const hospitals = await Hospital.find(filter);
    console.log(hospitals)
    res.json(hospitals);
  } catch (error) {
    console.error("Error fetching hospitals:", error);
    res.status(500).json({ error });
  }
};

module.exports = getHospitalsByLocation;
