const Hospital = require("../../model/Hospital");

const unfavoriteHospital = async (req, res) => {
  const hospitalId = req.params.id;
  const userId = req.body.userId;
  console.log(userId);
  console.log(hospitalId);

  try {
    const hospital = await Hospital.findById(hospitalId);
    if (!hospital) {
      return res.status(404).json({ error: "Hospital not found" });
    }
    console.log(hospital.favorites)
    const index = hospital.favorites.findIndex(fav => String(fav) === String(userId));
    console.log(index);
    if (index !== -1) {
      hospital.favorites.splice(index, 1);
      await hospital.save();
      return res
        .status(200)
        .json({ message: "Hospital unfavorited successfully" });
    } else {
      return res
        .status(400)
        .json({ error: "User has not favorited this hospital" });
    }
  } catch (error) {
    console.error(error);
    return res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = { unfavoriteHospital };
