const Insurance = require("../../model/Insurance");

const deleteInsurance = async (req, res) => {
  try {
    const dltinsurance = await Insurance.findByIdAndRemove(req.params.id);
    if (dltinsurance) {
      res.json({ message: "Deleted Succesfully" });
    } else {
      res.status(404).json({ error: "Insurance not found" });
    }
  } catch (err) {
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = deleteInsurance;
