// cityController.js

const mongoose = require('mongoose');
const City = require('../../model/City');

exports.getCitiesByCountry = async (req, res) => {
    const { countryId } = req.params;
    console.log(countryId,"con")
    try {
        const cities = await City.find({country_id: new mongoose.Types.ObjectId(countryId) });
        console.log('cities',cities)
        res.json(cities);
    } catch (err) {
        console.log(err)
        res.status(500).json({ error: err.message });
    }
};
