// stateController.js
const State = require('../../model/State');

exports.getStatesByCountry = async (req, res) => {
    const { countryId } = req.params;
    try {
        const states = await State.find({country_id: countryId });
        res.json(states);
    } catch (err) {
        res.status(500).json({ error: err.message });
    }
};
