const MedicalExpress = require("../../model/MedicalExpress");
const express = require("express");

/**
 *
 * @param {express.Request} req
 * @param {express.Response} res
 */

const createMedicalExpress = async (req, res) => {
  try {
    const Medicaldata = req.body;
    if (req.file) {
        Medicaldata.image = '/uploads/medicals/'+req.file.filename;
    }
    console.log("Request File:", req.file);

    const newMedicalExpress = new MedicalExpress(Medicaldata);

    await newMedicalExpress.save();
    res.status(201).json(newMedicalExpress);
  } catch (error) {
    console.log("Error is ", error);
    res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = createMedicalExpress;
