const express = require("express");
const User = require("../../model/Users");
const Notification = require("../../model/Notification");
const { Types } = require("mongoose");
/**
 *
 * @param {express.Request} req
 * @param {express.Response} res
 */
module.exports = async (req, res) => {
  const { id, role } = req.user;
  console.log(role);
  console.log(req.user);
  try {
    const { page, pageSize } = req.query;
    console.log("ggg", id);
    console.log("query", req.query);

    const admins = await User.find({ role: "admin" });
    const adminIds = admins.map((admin) => admin._id.toString());
    console.log("aaa", adminIds);

    const unreadTotal = await Notification.countDocuments({
      adminIds: adminIds,
      isRead: false,
    });
    if (role === "admin") {
      console.log('the admin')
      const notifications = await Notification.find({adminIds:id})
        .skip((page - 1) * pageSize)
        .limit(pageSize)
        .sort({ createdAt: -1 });

      res.json({ notifications, unreadTotal });
    }
    else if(role==='user'){
      console.log('the user')
      const notifications = await Notification.find({ uid:id })
        .skip((page - 1) * pageSize)
        .limit(pageSize)
        .sort({ createdAt: -1 });

      res.json({ notifications, unreadTotal });
    }
  } catch (e) {
    res
      .status(404)
      .json({ message: "Notifications not found", error: e.message });
  }
};
