const Notification =require('../../model/Notification')

module.exports = async (req, res) => {
  try {
    const { id } = req.user;
    console.log(id)
    await Notification.updateMany(
      { adminIds: id, isRead: false },
      { $set: { isRead: true } }
    );
    res.json({ message: "Marked all as read" });
  } catch (e) {
    res.status(500).json({ message: "Can't mark as read", error: e.message });
  }
};
