const Review = require("../../model/Review");

const getReviews = async (req, res) => {
  try {
    const reviews = await Review.find().populate('reviews.userId');
    console.log('reviews are',reviews)
    res.status(200).json(reviews);
  } catch (error) {
    console.error("Error fetching reviews:", error);
    res.status(500).json({ message: "Internal server error" });
  }
};

module.exports={
    getReviews
}