const Treatment = require("../../model/Treatment");

module.exports = async (req, res) => {
  let { id } = req.params;
  try {
    let treatment = await Treatment.findById(id);
    treatment.status = treatment.status === "active" ? "banned" : "active";
    await treatment.save();
    res.json({
      message: `Treatment ${
        treatment.status === "active" ? "activated" : "deactivated"
      } successfully`,
      treatment,
    });
  } catch (e) {
    res
      .status(500)
      .json({ message: "Failed to update treatment status", error: "e.message" });
  }
};
