const Appointment = require("../../model/Appointment");

async function createAppointment(appointmentdetails) {
  try {
    const appointment = new Appointment(appointmentdetails);
    await appointment.save();
    return appointment;
  } catch (err) {
    throw new Error("Error creating appointment: " + err.message);
  }
}

module.exports = { createAppointment };
