const Appointment = require("../../model/Appointment");

async function cancelAppointment(appointmentId) {
  try {
    const cancelAppointment = await Appointment.findByIdAndDelete(
      appointmentId
    );
    if (!cancelAppointment) {
      throw new Error("Appointment not found");
    }
    return cancelAppointment;
  } catch (err) {
    throw new Error("Error canceling appointment", +err.message);
  }
}

module.exports = { cancelAppointment };
