const Clinic = require("../../model/Clinic");

const favoriteClinic = async (req, res) => {
  const clinicId = req.params.id
  console.log('this is clinic id',clinicId)
  const { userId } = req.body;
  console.log('this is users id',userId)
  try {
    const clinic = await Clinic.findById(clinicId);
    if (!clinic) {
      return res.status(404).json({ error: "Clinic not found" });
    }
    if (!clinic.favorites.includes(userId)) {
        clinic.favorites.push(userId);
      await clinic.save();
      return res
        .status(200)
        .json({ message: "Clinic favorited successfully" });
    } else {
      return res
        .status(400)
        .json({ error: "User already favorited this Clinic" });
    }
  } catch (error) {
    console.error(error);
    return res.status(500).json({ error: "Internal Server Error" });
  }
};

module.exports = { favoriteClinic };
