const Clinic = require("../../model/Clinic");

module.exports = async (req, res) => {
  let { id } = req.params;
  try {
    let clinic = await Clinic.findById(id);
    clinic.status = clinic.status === "active" ? "banned" : "active";
    await clinic.save();
    res.json({
      message: `Clinic ${
        clinic.status === "active" ? "activated" : "deactivated"
      } successfully`,
      clinic,
    });
  } catch (e) {
    res
      .status(500)
      .json({ message: "Failed to update Clinic status", error: "e.message" });
  }
};
