const Guest = require('../../model/Guest');

const createGuest = async (req, res) => {
  try {
    const { name, phone, email } = req.body;
    const guest = new Guest({ name, phone, email });
    await guest.save();
    res.status(201).json({ message: 'Guest information stored successfully', guest });
  } catch (error) {
    console.error(error);
    res.status(500).json({ error: 'An error occurred while storing guest information' });
  }
};


module.exports = createGuest;
