const User = require("../../model/Users");

/**
 *
 * @param {import("express").Request} req
 * @param {import("express").Response} res
 */
module.exports = async (req, res) => {
  const { id } = req.user;
  try {
    const user = await User.updateOne(
      { _id: id },
      { $set: { status: "deleted" } }
      
    );
    console.log(user,"acc delete")
    res.json({ message: "Account deleted successfully" });
    
  } catch (e) {
    res
      .status(500)
      .json({ message: "Unable to delete account", error: e.message });
  }
};
