const express = require("express");
const User = require("../../model/Users");
/**
 *
 * @param {express.Request} req
 * @param {express.Response} res
 */
module.exports = async (req, res) => {
  try {
    const deletedUser = await User.findByIdAndRemove(req.params.id);
    if (deletedUser) {
      res.json({ message: "User deleted successfully" });
    } else {
      res.status(404).json({ err: "User not found" });
    }
  } catch (err) {
    console.log(err)
    res.status(500).json({ err: "Internal server error" });
  }
};
