const User = require("../../model/Users");

module.exports = async (req, res) => {
    console.log('inside the devicetoken api')
  try {
    console.log('id is ',req.user)
    const { id } = req.user;
    const { deviceToken } = req.body;
    const user = await User.findById(id);
    user.deviceTokens = [
      ...new Set([...user.deviceTokens, deviceToken]),
    ].filter((token) => token);
    await user.save();
    res.json({ message: "Device token saved successfully" });
  } catch (e) {
    console.log(e);
    res
      .status(500)
      .json({ error: e.message, message: "Internal Server Error" });
  }
};
