const mongoose = require('mongoose');

const treatmentSchema = new mongoose.Schema({
  name: {
    type: String,
    required: true,
  },
  description: String,
  cost: Number,
  // department: {
  //   type: mongoose.Schema.Types.ObjectId,
  //   ref: 'Department', 
  // },
  status:{
    type:String,
    enum:['active','banned'],
    default:'active'
  }
  // rating: Number, 
  // treatmentType: {
  //   type: String,
  //   enum: ['Hospital', 'Clinic', 'Freelance Doctor'],   
  // },
  // location: String,

});

const Treatment = mongoose.model('Treatment', treatmentSchema);

module.exports = Treatment;
