const Treatment=require('../model/Treatment')
const express = require('express');
const router = express.Router();
// const multer = require('multer');
// const treatmentController = require('../controllers/Treatment/Treatment');
const listTreatmentscontroller = require('../controllers/Treatment/listtreatment')
const createTreatmentController = require('../controllers/Treatment/createtreatment')
const updateTreatmentController = require('../controllers/Treatment/updatetreatment')
const deleteTreatmentController = require('../controllers/Treatment/deletetreatment')
const toggleStatus=require('../controllers/Treatment/toggleStatus')

// const storage = multer.diskStorage({
//     destination: function (req, file, cb) {
//       cb(null, 'public/images'); 
//     },
//     filename: function (req, file, cb) {
//       cb(null, Date.now() + '-' + file.originalname); 
//     },
//   });
  
  // const upload = multer({ storage: storage });

// List all treatments
router.get('/', listTreatmentscontroller.listTreatments);

// Get a single treatment by ID
router.get('/:treatmentId', listTreatmentscontroller.getTreatmentById);

// Add a new treatment
router.post('/add', createTreatmentController.addTreatment);

// Update a treatment
router.put('/update/:treatmentId', updateTreatmentController.updateTreatment);

// Delete a treatment
router.delete('/delete/:treatmentId',deleteTreatmentController.deleteTreatment);

router.patch('/:id',toggleStatus)

module.exports = router;
