const nodemailer = require("nodemailer");

let transporter = nodemailer.createTransport({

  service: "gmail",
  secure: true,
  auth: {
    user:process.env.AUTH_EMAIL,
    pass:process.env.AUTH_PASS,
  },
  tls: {
    rejectUnauthorized: false
  }
});

transporter.verify();

const  sendMail = (mailOptions) => {
  return new Promise((resolve, reject) => {
    transporter.sendMail(mailOptions, (err, response) => {
      if (err) {
        return reject(err);
      }
      resolve(response);
    });
  });
};
module.exports = {sendMail};