const User=require('../model/Users');
const getFirebaseAdmin=require('./firebaseinstance')

module.exports = async (message, user) => {
    try {
      const admin = getFirebaseAdmin();
      const fcmResponse = await admin.messaging().send(message);
      return fcmResponse;
    } catch (error) {
      if (user._id) {
        const userdata = await User.findById(user._id);
        userdata.deviceTokens = userdata.deviceTokens.filter(
          (token) => token !== message.token
        );
        await userdata.save();
      }
      console.log(error);
    }
  };